package com.zt.plat.module.base.convert.doctemplate;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.module.base.controller.admin.doctemplate.vo.DocTemplateTagRespVO;
import com.zt.plat.module.base.controller.admin.doctemplate.vo.DocTemplateTagSaveReqVO;
import com.zt.plat.module.base.dal.dataobject.doctemplate.DocTemplateTagDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 标签库 Convert
 *
 * @author 系统生成
 */
@Mapper
public interface DocTemplateTagConvert {

    DocTemplateTagConvert INSTANCE = Mappers.getMapper(DocTemplateTagConvert.class);

    DocTemplateTagDO convert(DocTemplateTagSaveReqVO bean);

    DocTemplateTagRespVO convert(DocTemplateTagDO bean);

    List<DocTemplateTagRespVO> convertList(List<DocTemplateTagDO> list);

    PageResult<DocTemplateTagRespVO> convertPage(PageResult<DocTemplateTagDO> page);

}
